Build:
  1. 0
2022-06-22 12:57.39: New job: Build using linux-arm64 in
                                []
2022-06-22 12:57.39: Will push staging image to ocurrent/opam-staging:debian-11-ocaml-4.09-flambda-arm32v7

Dockerfile:

FROM ocurrent/opam-staging@sha256:f7199af34aace52ca96139917863ae1240db05c846ccbad9192ade1774d86330
SHELL [ "/usr/bin/linux32", "/bin/sh", "-c" ]
ENV OPAMYES="1" OPAMCONFIRMLEVEL="unsafe-yes" OPAMERRLOGLEN="0" OPAMPRECISETRACKING="1"
RUN opam switch create 4.09 --packages=ocaml-variants.4.09.1+flambda
RUN opam pin add -k version ocaml-variants 4.09.1+flambda
RUN opam install -y opam-depext
ENTRYPOINT [ "/usr/bin/linux32", "opam", "exec", "--" ]
CMD bash
COPY [ "Dockerfile", "/Dockerfile.ocaml" ]

2022-06-22 12:57.39: Using cache hint "4.09.1+flambda-arm32v7-ocurrent/opam-staging@sha256:f7199af34aace52ca96139917863ae1240db05c846ccbad9192ade1774d86330"
2022-06-22 12:57.39: Waiting for resource in pool OCluster
2022-06-22 12:57.39: Waiting for worker...
2022-06-22 12:57.40: Got resource from pool OCluster
Building on okypous.ocamllabs.io
Sending build context to Docker daemon  2.048kB

Step 1/9 : FROM ocurrent/opam-staging@sha256:f7199af34aace52ca96139917863ae1240db05c846ccbad9192ade1774d86330
docker.io/ocurrent/opam-staging@sha256:f7199af34aace52ca96139917863ae1240db05c846ccbad9192ade1774d86330: Pulling from ocurrent/opam-staging
8c8b1770c0de: Already exists
841a77dfcf49: Pulling fs layer
841a77dfcf49: Download complete
841a77dfcf49: Pull complete
Digest: sha256:f7199af34aace52ca96139917863ae1240db05c846ccbad9192ade1774d86330
Status: Image is up to date for ocurrent/opam-staging@sha256:f7199af34aace52ca96139917863ae1240db05c846ccbad9192ade1774d86330
 ---> 3f54084e5067
Step 2/9 : SHELL [ "/usr/bin/linux32", "/bin/sh", "-c" ]
 ---> [Warning] The requested image's platform (linux/arm/v7) does not match the detected host platform (linux/arm64/v8) and no specific platform was requested
 ---> Running in e069a600a06c
Removing intermediate container e069a600a06c
 ---> 38a13b7baf0e
Step 3/9 : ENV OPAMYES="1" OPAMCONFIRMLEVEL="unsafe-yes" OPAMERRLOGLEN="0" OPAMPRECISETRACKING="1"
 ---> [Warning] The requested image's platform (linux/arm/v7) does not match the detected host platform (linux/arm64/v8) and no specific platform was requested
 ---> Running in bdab87f45572
Removing intermediate container bdab87f45572
 ---> 478ca514c60d
Step 4/9 : RUN opam switch create 4.09 --packages=ocaml-variants.4.09.1+flambda
 ---> [Warning] The requested image's platform (linux/arm/v7) does not match the detected host platform (linux/arm64/v8) and no specific platform was requested
 ---> Running in 29b2da668f79

<><> Gathering sources ><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
[ocaml-variants.4.09.1+flambda] downloaded from https://github.com/ocaml/ocaml/archive/4.09.1.tar.gz
[ocaml-variants.4.09.1+flambda/alt-signal-stack.patch] downloaded from https://github.com/ocaml/ocaml/commit/8eed2e441222588dc385a98ae8bd6f5820eb0223.patch

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> installed base-bigarray.base
-> installed base-threads.base
-> installed base-unix.base
-> installed ocaml-variants.4.09.1+flambda
-> installed ocaml-config.1
-> installed ocaml.4.09.1
Done.
# Run eval $(opam env) to update the current shell environment
Removing intermediate container 29b2da668f79
 ---> 2223e3933c06
Step 5/9 : RUN opam pin add -k version ocaml-variants 4.09.1+flambda
 ---> [Warning] The requested image's platform (linux/arm/v7) does not match the detected host platform (linux/arm64/v8) and no specific platform was requested
 ---> Running in dddcf3a2b6d2
ocaml-variants is now pinned to version 4.09.1+flambda

No package build needed.
Nothing to do.
# Run eval $(opam env) to update the current shell environment
Removing intermediate container dddcf3a2b6d2
 ---> 2f0606ca5aea
Step 6/9 : RUN opam install -y opam-depext
 ---> [Warning] The requested image's platform (linux/arm/v7) does not match the detected host platform (linux/arm64/v8) and no specific platform was requested
 ---> Running in 94cd38c20a1e
The following actions will be performed:
  - install opam-depext 1.2.1-1

<><> Gathering sources ><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
[opam-depext.1.2.1-1] downloaded from https://github.com/ocaml-opam/opam-depext/releases/download/v1.2.1/opam-depext-full-1.2.1.tbz

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> installed opam-depext.1.2.1-1
Done.
# Run eval $(opam env) to update the current shell environment
Removing intermediate container 94cd38c20a1e
 ---> 6b969a72cb8e
Step 7/9 : ENTRYPOINT [ "/usr/bin/linux32", "opam", "exec", "--" ]
 ---> [Warning] The requested image's platform (linux/arm/v7) does not match the detected host platform (linux/arm64/v8) and no specific platform was requested
 ---> Running in 813a11582956
Removing intermediate container 813a11582956
 ---> eed10d59e843
Step 8/9 : CMD bash
 ---> [Warning] The requested image's platform (linux/arm/v7) does not match the detected host platform (linux/arm64/v8) and no specific platform was requested
 ---> Running in e001d88ae283
Removing intermediate container e001d88ae283
 ---> 88227e1fc876
Step 9/9 : COPY [ "Dockerfile", "/Dockerfile.ocaml" ]
 ---> 8d42c9785da0
Successfully built bdb76d2d71d8
Pushing "sha256:bdb76d2d71d8e84054d6f893c57f43d80e83043ef81d5bd5ba4000136c4a575a" to "ocurrent/opam-staging:debian-11-ocaml-4.09-flambda-arm32v7" as user "ocurrentbuilder"
Login Succeeded
The push refers to repository [docker.io/ocurrent/opam-staging]
20c938a69b20: Preparing
2f7de60cd7ad: Preparing
0687017fa1b6: Preparing
2f7de60cd7ad: Layer already exists
0687017fa1b6: Layer already exists
20c938a69b20: Pushed
debian-11-ocaml-4.09-flambda-arm32v7: digest: sha256:907f9dd858a7da86cfbe4c73c5e1bb233f8ead0b36d5b2fbc2e3df927585bc3a size: 956
Job succeeded
2022-06-22 13:41.01: Job succeeded